import { K8sUtilService } from '../../../utils/public-api';
import { Message } from '../../utils';
export declare class NotificationListComponent {
    private readonly k8sUtil;
    list: Message[];
    constructor(k8sUtil: K8sUtilService);
    trackBy(_index: number, res: Message): string;
    expandedChange(expanded: boolean, item: Message): void;
    expired(item: Message): boolean;
    formatUtcStr(utcStr: string): string;
    getTagOption: (value: Message) => {
        type?: import("@alauda/ui").TagType;
        title: string;
        color?: string;
    };
}
